#
# spec file for package ElectricFence (Version 2.2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ElectricFence
Copyright:    GPL;Bruce Perens
Group:        Development/Libraries
Provides:     efence
Autoreqprov:  on
Version:      2.2.2
Release:      112
Summary:      ElectricFence
BuildRoot: /var/tmp/efence-root
Source: ElectricFence-2.2.2.tar.gz
Patch: ElectricFence-2.2.2.dif
Obsoletes:    efence

%description
Tool for debugging your C-programs (malloc debugger).

Authors:
--------
    Bruce Perens <Bruce@Pixar.com>

SuSE series: d

%prep
%setup -n ElectricFence-2.2.2
%patch

%build
make CFLAGS="$RPM_OPT_FLAGS -g -DUSE_SEMAPHORE -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,share/man/man3}
make prefix=$RPM_BUILD_ROOT/usr install
chmod a+x $RPM_BUILD_ROOT/usr/lib/libefence.so*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
/usr/lib/libefence*
/usr/bin/ef
%doc /usr/share/man/man3/efence.3.gz

%changelog -n ElectricFence
* Wed Nov 29 2000 - smid@suse.cz
- renamed: efence => ElectricFence
* Fri Oct 13 2000 - schwab@suse.de
- Fix CFLAGS.
* Fri Feb 25 2000 - kukuk@suse.de
- fill out group tag
* Thu Jan 27 2000 - uli@suse.de
- print.c: fixed misuse of va_arg() macro
* Tue Jan 25 2000 - kukuk@suse.de
- Update to version 2.2.2
- Move /usr/man -> /usr/share/man
- Use BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 20 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
